# QwtPickerDragRectMachine Class Reference

Inheritance diagram for QwtPickerDragRectMachine:

[legend]
Collaboration diagram for QwtPickerDragRectMachine:

[legend]
List of all members.

## Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 selects the first point, releasing it the second point. Pressing QwtEventPattern::KeySelect1 also selects the first point, a second press selects the second point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 128 of file qwt_picker_machine.h.

## Public Member Functions

virtual CommandList | transition (const QwtEventPattern &, const QEvent *)

## Member Function Documentation

QwtPickerMachine::CommandList QwtPickerDragRectMachine::transition | ( | const QwtEventPattern & | ,
|  | const QEvent * |
| ) | `[virtual]`

| Transition. Implements QwtPickerMachine. Definition at line 234 of file qwt_picker_machine.cpp. References QwtEventPattern::mouseMatch(), QwtPickerMachine::setState(), and QwtPickerMachine::state().